package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.QueryParams;
import com.qmth.qrzk.repository.user.model.QuestionImportHistory;

@Component("questionImportHistoryMapper")
public interface QuestionImportHistoryMapper extends CommonMapper{

	public int queryByUUId(String uuid);
	
	public void insertQuestionImportHistor(QuestionImportHistory qih);
	
	public List<QuestionImportHistory> queryHistories(QueryParams params);
	
	public int queryHistoriesCount(QueryParams params);
}
